I am using graph api to update my existing calendar event but with every single update my users are getting emails for it; say if I am adding a new attendee then api should not send email notifications to all of the existing attendees.
I am using graph api to update my existing calendar event but with every single update my users are getting emails for it; say if I am adding a new attendee then api should not send email notifications to all of the existing attendees.
I have verifed the above mentioned case of updating an exising calendar event using Graph API and Update Event API is working as expected as per my testing.
Please note the below points:
As documented here, if you want to update the meeting attendees then only include the attendees property in the request body. Please ensure to include both existing meeting attendees and new meeting attendees while updating the existing calender event as shown in the below example:

Example :
A Sample request body of new event creation :
POST https://graph.microsoft.com/v1.0/me/calendar/events
{
"subject": "Meeting Test",
"body": {
"contentType": "HTML",
"content": "This is Test Meeting"
},
"start": {
"dateTime": "2022-04-29T04:00:00",
"timeZone": "Pacific Standard Time"
},
"end": {
"dateTime": "2022-04-29T12:00:00",
"timeZone": "Pacific Standard Time"
},
"location": {
"displayName": "Harry's Bar"
},
"attendees": [
{
"emailAddress": {
"address": "jvedham@o365XXXX.onmicrosoft.com"
},
"type": "required"
},
{
"emailAddress": {
"address": "demouser@o365XXXX.onmicrosoft.com"
},
"type": "required"
}
]
}
A Sample request body of update event :
PATCH https://graph.microsoft.com/v1.0/me/calendar/events/{Meeting-ID}
{
"attendees": [
{
"emailAddress": {
"address": "jvedham@o365XXXX.onmicrosoft.com"
},
"type": "required"
},
{
"emailAddress": {
"address": "demouser@o365XXXX.onmicrosoft.com"
},
"type": "required"
},
{
"emailAddress": {
"address": "sampleuser@o365XXXX.onmicrosoft.com"
},
"type": "required"
}
]
}
2.If you are updating any of the meeting properties such as subject, meeting body, importance,isOnlineMeeting ..etc then it will be considered as change to the existing meeting and all the meeting attendees will be notifed with the latest meeting update. This is the expected behaviour and working as designed.
Hope this helps.
If the answer is helpful, please click Accept Answer and kindly upvote it. If you have any further questions about this answer, please click Comment.
Can you please provide us an update on this?.
If the above provided answer is helpful to you, please click "Accept Answer"and kindly upvote it. If you have any further questions about this answer, please click "Comment".
3 people are following this question.
How to extend microsoft graph calendar API quota?
Graph API: Calendars endpoint doesn't work (returns an empty array) for some users
Occasional 412 errors when listing calendars using Microsoft Graph API
Microsoft.Graph Silent crash on new calendar event
how to identifying updated child event in series(rucurring events) with help of calendar graph api?